package com.wechat.callback.tencentrequests.events;

import javax.xml.bind.annotation.*;

@XmlRootElement(name = "xml")
public final class ClickEventRequest extends BaseEventRequest {
    @XmlType
    @XmlEnum(String.class)
    public static enum EventKeyEnum {
        @XmlEnumValue("CALL_MOBILE_HALL")CALL_MOBILE_HALL,   //掌厅
        @XmlEnumValue("CALL_ACCOUNT_MANAGER")CALL_ACCOUNT_MANAGER,   //客户经理查询
        @XmlEnumValue("CALL_ACCOUNT_INQUIRY")CALL_ACCOUNT_INQUIRY,    //账户查询
        @XmlEnumValue("CALL_CUSTOMER_SERVICE")CALL_CUSTOMER_SERVICE    //客服
    }

    private EventKeyEnum eventKey;//按钮key

    public EventKeyEnum getEventKey() {
        return eventKey;
    }

    @XmlElement(name = "EventKey")
    public void setEventKey(EventKeyEnum eventKey) {
        this.eventKey = eventKey;
    }

}
