package com.wechat.dao;

import java.util.HashMap;
import java.util.List;

import com.wechat.global.base.annotation.MyBatisDao;
import com.wechat.global.base.dao.CrudDao;
import com.wechat.model.dbEntity.MdeSubscribedPositions;
import com.wechat.model.dto.SubscribedPositionsDto;

@MyBatisDao
public interface MdeSubscribedPositionsMapper extends CrudDao<MdeSubscribedPositions>{
    int deleteByUserCode(String userCode);

    int insert(MdeSubscribedPositions record);

    /**
     * @param userCode
          * 根据用户code获取意向工作地信息
     */
    List<SubscribedPositionsDto> getSubscribedPositions(HashMap<String, Object> paramMap);
//
//    MdeSubscribedPositions selectByPrimaryKey(MdeSubscribedPositionsKey key);
//
//    int updateByPrimaryKeySelective(MdeSubscribedPositions record);
//
//    int updateByPrimaryKey(MdeSubscribedPositions record);
}