/**
 * Title: Constants.java Package com.linggou.net.base All rights Reserved, Designed By soyo Copyright: Copyright(C) 2010-2015 Company: soyo SuZhou LTD. Create By shensuoyao Create
 * Date 2014年8月14日 下午2:03:45 Version V1.0
 */
package com.wechat.common;

/**
 * @ClassName: Constants
 * @Description: 公共常量
 * @author shensuoyao
 */
public class Constants {

	// ============ 自定义常量 =================
	/** 验证失败 */
	public static final int VALID_ERROR = 99;

	/** 错误code 40001 */
	public static final String STR_TOKEN_ERO = "40001";

	/** 错误code 0 */
	public static final String STR_OK = "0";
	
	/** 首推标识[1-推荐] */
	public static final String RECOMMEND_YES = "1";

	/** 首推标识[0-不推荐] */
	public static final String RECOMMEND_NO = "0";
	
	
	/** 订单类别[0会员套餐订单 1个人服务,2企业服务,3商品购买，4积分兑换] */
	public static final String ORDER_TYPE_VIP = "0";
	public static final String ORDER_TYPE_PERSONAL = "1";
	public static final String ORDER_TYPE_ENTERPRISE = "2";
	public static final String ORDER_TYPE_GOODS = "3";
	public static final String ORDER_TYPE_INTEGRAL = "4";
	

	// ============== 固定文字 =================
	/** 空文字 */
	public static final String EMPTY = "";

	/** 1 */
	public static final String ONE = "1.";

	/** 2 */
	public static final String TWO = "2.";

	/** 3 */
	public static final String THREE = "3.";

	/** 4 */
	public static final String FOUR = "4.";

	/** 5 */
	public static final String FIVE = "5.";

	/** base url */
	public static final String URL_BEGIN = "\n<a href='";

	public static final String URL_BEGIN_NOBR = "<a href='";

	public static final String URL_MIDDLE = "'>";

	public static final String URL_END = "</a>\n";

	public static final String URL_END_NOBR = "</a>";

	/** 换行符 */
	public static final String NEXT_LINE = "\n";

	/** 回车 换行 */
	public static final String ENTER_LINE = "\r\n";

	/** 下划线 */
	public static final String UNDER_LINE = "_";
	
	/** token 用 */
	public final static String TOKEN_KEY = "16e7749d-7372-4c3e-ab82-895627ec5e8f";
	public final static String TOKEN_COOKIE_NAME = "token";
	public final static String TOKEN_USER_ID = "userCode";
	public final static String TOKEN_IDENTITY_FLAG = "identityFlag";
	public final static String TOKEN_CREATDATE = "creatdate";
	public final static String TOKEN_SHORT_INVITER = "shortInviter";
	public final static String LANGUAGE = "lang";
	public final static String UUID = "uuid";
	
	public final static String ACTIVATION_TOKEN="activationToken";
	
	public final static String MD5_PASSWORD="dp&V9W^1Bd"; // 密码加密拼上固定字符串
	
	/** 加密使用 */
	public final static String AES_PASSWORD="wQ&M2W}74Tg#s$"; // AES加密Key
	
	/** 中英文 */
	public static final String LANG_CN="zh";
	public static final String LANG_EN="en";
	
	/** 用户的身份标识[0-个人；1-企业] */
	public static final String IDENTITY_P="0";
	public static final String IDENTITY_C="1";
	
	/** 订阅标识[0-未订阅；1-订阅] */
	public static final String SUBSCRIBED_NO="0";
	public static final String SUBSCRIBED_YES="1";
	
	//--------redis 用 key-----------------
	/** 商品的销售额 */
	public static final String REDIS_GOODS_SALE="goodsSale_";
	/** 职位PV UV信息统计 */
	public static final String REDIS_JOB_PV="jobPv_";
	public static final String REDIS_JOB_UV="jobUv_";
	
	/** 广告点击率 信息统计 */
	public static final String REDIS_AD_SHOW="adShow_";
	public static final String REDIS_AD_CLICK="adClick_";
	
	/** api访问限制 */
	public static final String REDIS_LIMIT_AD_CTR="apiLimit__adCtr_";


	/** 广告位id(字典表维护)[1-PC登录页（背景）；2-PC登录页（轮播）；3-PC主页(顶部)；4-PC主页(右侧1)；5-PC主页(右侧2)；6-PC职位页（顶部）；
	 * 7-PC人才页（顶部）；8-PC职位详情页（底部）；9-PC个人中心页（顶部）；10-PC套餐页（顶部）；11-PC人脉页（左侧）；12-PC用户信息（顶部）；13-PC个人资料（底部）；
	 * 21-手机登录页（背景）；22-动态页（头部轮播))；23-职位页（头部轮播)；24-人才页（头部轮播)]；25-手机个人中心（中部）；
	 *  */
	public static final String PC_LOGIN_BG="1";//1-PC登录页（背景）
	public static final String PC_LOGIN_BROADCAST="2";//2-PC登录页（轮播）
	public static final String PC_MAINPAGE_TOP_AD="3";//3-PC主页(顶部)
	public static final String PC_MAINPAGE_RIGHT_AD1="4";//4-PC主页(右侧1)
	public static final String PC_MAINPAGE_RIGHT_AD2="5";//5-PC主页(右侧2)
	public static final String PC_POSITION_TOP_AD="6";//6-PC职位页（顶部）
	public static final String PC_RENCAI_TOP_AD="7";//7-PC人才页（顶部）
	public static final String PC_POSITION_DETAIL_BOTTOM_AD="8";//8-PC职位详情页（底部）
	public static final String PC_PERSONCENTER_TOP_AD="9";//9-PC个人中心页（顶部）
	public static final String PC_TAOCAN_TOP_AD="10";//10-PC套餐页（顶部）
	public static final String PC_HUMAN_VEIN_LEFT_AD="11";//11-PC人脉页（左侧）
	public static final String PC_USER_DETAIL_TOP_AD="12";//12-PC用户信息（顶部）
	public static final String PC_PERSON_DETAIL_BOTTOM="13";//13-PC个人资料（底部）
	public static final String PC_OPEN_CN="14";//14-首开广告（中文）
	public static final String PC_OPEN_EN="15";//15-首开广告（英文）
	
	public static final String SJ_LOGIN_BG="21";//21-手机登录页（背景)
	public static final String SJ_TRENDS_TOP="22";//22-动态页（头部轮播)
	public static final String SJ_POSITION_TOP="23";//23-职位页（头部轮播)
	public static final String SJ_TALENT_TOP="24";//24-人才页（头部轮播)
	public static final String SJ_PERSONCENTER_MIDDLE="25";//25-手机个人中心（中部）
	public static final String SJ_OPEN_CN="26";//26-首开广告（中文）
	public static final String SJ_OPEN_EN="27";//27-首开广告（英文）
	public static final String SJ_POSITION_DTL="28";//28-职位详情（底部）
	
	
	public static final String INFORMATION_ZIXUN="1";
	public static final String INFORMATION_GUANGGAO="2";
	public static final String INFORMATION_FABUHUI="3";
	
	//邮件发送昵称
	public static final String EMAIL_NICK="门墩儿";
	
	/** 职位检索排序 */
	/** 发布时间 */
	public static final String SORT_TIME="time";
	/** 职位等级 顺序 */
	public static final String SORT_GRADE_ASC="down";
	/** 职位等级 降序 */
	public static final String SORT_GRADE_DESC="up";

}
