/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeAdImages;
import com.wechat.model.dto.AdImageDto;

/**
 * 单表生成DAO接口
 * 
 * @author tangwc
 * @version 2018-06-05
 */
@Repository
public class MdeAdImagesDao extends BaseDao {

	/**
	 * 根据类型获取 广告
	 * 
	 * @param openId
	 * @return
	 */
	public List<AdImageDto> getAdImagesByadPosition(String adPosition) {
		return super.select("MdeAdImagesMapper.getAdImagesByadPosition", adPosition);
	}

	/**
	 * 初始化登录页图片地址
	 * 
	 * @param openId
	 * @return
	 */
	public MdeAdImages getLoginInitImage(String adPosition) {
		return super.selectOne("MdeAdImagesMapper.getLoginInitImage", adPosition);
	}

}