/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeDepartment;

/**
 * 单表生成DAO接口
 * @author tangwc
 * @version 2018-05-30
 */
@Repository
public class MdeDepartmentDao extends BaseDao   {

	/**
	 * 获取所有的部门信息
	 * @param lang 
	 * @return
	 */
	public List<MdeDepartment> getDepartments() {
		return super.select("MdeDepartmentMapper.getAllDepartments");
	}
	
}