package com.wechat.dao;

import java.util.HashMap;
import java.util.List;

import com.wechat.global.base.annotation.MyBatisDao;
import com.wechat.global.base.dao.CrudDao;
import com.wechat.model.dbEntity.MdeInterestedAdds;
import com.wechat.model.requestDto.InterestedAddsReq;

@MyBatisDao
public interface MdeInterestedAddsMapper extends CrudDao<MdeInterestedAdds>{

    int insert(MdeInterestedAdds record);

    int deleteByUsercode(String userCode);
    
    /**
     * @param userCode
          * 根据用户code获取意向工作地信息
     */
    List<InterestedAddsReq> getIntAddsByUserCode(HashMap<String, Object> paramMap);

}