package com.wechat.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.wechat.dao.MdeDepartmentDao;
import com.wechat.model.dbEntity.MdeDepartment;

@Service
public class MdeDepartmentService {

	@Autowired
	private MdeDepartmentDao mdeDepartmentDao;

	/**
	 * 获取所有的部门信息
	 * 
	 * @return
	 */
	public List<MdeDepartment> getAllDepartments() {
		return mdeDepartmentDao.getDepartments();
	}
}
